//Skybox

textures/gdmr/gdmr_skybox
{
	qer_editorimage textures/gdmr/gdmr.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 256
//	q3map_surfacelight 50
	q3map_skylight 50 3
	surfaceparm sky
	q3map_sun 1 1 0.7 50 0 30
	skyparms env/gdmr/gdmr - -
}

textures/gdmr/gdmr_bk
{
	qer_editorimage env/gdmr/gdmr_bk.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_bk.tga
		rgbGen identityLighting
	}
}

textures/gdmr/gdmr_dn
{
	qer_editorimage env/gdmr/gdmr_dn.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_dn.tga
		rgbGen identityLighting
	}
}

textures/gdmr/gdmr_ft
{
	qer_editorimage env/gdmr/gdmr_ft.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_ft.tga
		rgbGen identityLighting
	}
}

textures/gdmr/gdmr_lf
{
	qer_editorimage env/gdmr/gdmr_lf.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_lf.tga
		rgbGen identityLighting
	}
}

textures/gdmr/gdmr_rt
{
	qer_editorimage env/gdmr/gdmr_rt.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_rt.tga
		rgbGen identityLighting
	}
}

textures/gdmr/gdmr_up
{
	qer_editorimage env/gdmr/gdmr_up.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map env/gdmr/gdmr_up.tga
		rgbGen identityLighting
	}
}

//Water

textures/gdmr/water
{
	qer_editorimage textures/gdmr/water.tga
	qer_trans 0.25
	q3map_globaltexture
  	cull disable
    	surfaceparm trans
    	surfaceparm noimpact
    	surfaceparm water
    	surfaceparm nolightmap
    	surfaceparm nomarks
	deformVertexes normal .1 .5
   	tessSize 64
    	{
        		map textures/gdmr/water.tga
		blendFunc GL_DST_COLOR GL_ZERO
        		tcMod scroll 0.05 -0.03
    	}
}

textures/gdmr/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/gdmr/watercaulk.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

//J-pads

textures/gdmr/jpblue_floor01a
{
	qer_editorimage textures/gdmr/jp01a.tga
	q3map_lightimage textures/gdmr/jumppadsmall_b.tga	
	q3map_surfacelight 400
	{
		map textures/gdmr/blue_telep.tga
                		tcmod rotate 180
                		tcMod stretch sin 0.8 0.1 0 .5
	}
	{
		clampmap textures/gdmr/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.1
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/gdmr/jp01a.tga
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gdmr/jpred_floor01a
{
	qer_editorimage textures/gdmr/jp01a.tga
	q3map_lightimage textures/gdmr/jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/gdmr/red_telep.tga
                		tcmod rotate 180
                		tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/gdmr/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/gdmr/jp01a.tga
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gdmr/jpblue_floor15a
{
	qer_editorimage textures/gdmr/jp15a.tga
	q3map_lightimage textures/gdmr/jumppadsmall_b.tga	
	q3map_surfacelight 400
	{
		map textures/gdmr/blue_telep.tga
                		tcmod rotate 180
                		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/gdmr/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/gdmr/jp15a.tga
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ZERO
                		rgbGen identity
	}
}

textures/gdmr/jpred_floor15a
{
	qer_editorimage textures/gdmr/jp15a.tga
	q3map_lightimage textures/gdmr/jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/gdmr/red_telep.tga
               		 tcmod rotate 180
                		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/gdmr/jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/gdmr/jp15a.tga
                		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        	{
		map $lightmap
                		blendFunc GL_DST_COLOR GL_ZERO
                		rgbGen identity
	}
}

//Lights

textures/gdmr/lig_128-03b1-2k
{
	qer_editorimage textures/gdmr/octlig01ba.tga
	q3map_lightimage textures/gdmr/sqrlig02bblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gdmr/octlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig02bblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/gdmr/lig_128-03r1-2k
{
	qer_editorimage textures/gdmr/octlig01ra.tga
	q3map_lightimage textures/gdmr/sqrlig02rblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gdmr/octlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig02rblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/gdmr/lig_128-02b1-2k
{
	qer_editorimage textures/gdmr/sqrlig03ba.tga
	q3map_lightimage textures/gdmr/sqrlig03bblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig03ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig03bblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/gdmr/lig_128-02r1-2k
{
	qer_editorimage textures/gdmr/sqrlig03ra.tga
	q3map_lightimage textures/gdmr/sqrlig03rblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig03ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/sqrlig03rblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/gdmr/lig_064-05b1-2k
{
	qer_editorimage textures/gdmr/064lig30ba.tga
	q3map_lightimage textures/gdmr/064lig30bblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/064lig30bblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_064-05r1-2k
{
	qer_editorimage textures/gdmr/064lig30ra.tga
	q3map_lightimage textures/gdmr/064lig30rblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/064lig30rblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_064-01b1-2k
{
	qer_editorimage textures/gdmr/064lig20ba.tga
	q3map_lightimage textures/gdmr/064lig20bblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/064lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/064lig20bblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_064-01r1-2k
{
	qer_editorimage textures/gdmr/064lig20ra.tga
	q3map_lightimage textures/gdmr/064lig20rblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/064lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/064lig20rblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_064-01w1-2k
{
	qer_editorimage textures/gdmr/064lig20wa.tga
	q3map_lightimage textures/gdmr/064lig20wblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/064lig20wa.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/064lig20wblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_032-05b1-2k
{
	qer_editorimage textures/gdmr/032lig20ba.tga
	q3map_lightimage textures/gdmr/032lig20bblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/032lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/032lig20bblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/gdmr/lig_032-05r1-2k
{
	qer_editorimage textures/gdmr/032lig20ra.tga
	q3map_lightimage textures/gdmr/032lig20rblend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/gdmr/032lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gdmr/032lig20rblend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

//Teleporter
textures/gdmr/teleporter_fx
{
	qer_editorimage textures/gdmr/swirlw.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampMap textures/gdmr/swirlw.tga
		blendFunc ADD
		tcMod rotate 45
		rgbGen wave sin 0.8 .15 .2 0.05
	}
	{
		clampMap textures/gdmr/swirlw2.tga
		blendFunc ADD
		tcMod rotate 180
		rgbGen vertex
                		tcMod stretch sin 0.9 0.1 0 .5
	}
}

//Misc

textures/gdmr/rock
{
	qer_editorimage textures/gdmr/rock.tga
	q3map_lightimage textures/gdmr/rock.tga
	q3map_surfacelight 75
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_forcemeta
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )	
	{
		map textures/gdmr/rock.tga 
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}              
}

textures/gdmr/tin
{
	qer_editorimage textures/gdmr/tin.tga
        	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/gdmr/tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        	{
		map textures/gdmr/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        	{
		map textures/gdmr/tin.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gdmr/main_q3abanner
{
	qer_editorimage textures/gdmr/main_efbanner.tga
	q3map_lightimage textures/gdmr/main_efbanner.tga
        	q3map_surfacelight 100
	{
		map textures/gdmr/main_efbanner.tga
	        	rgbGen wave square 0 1 0 .5
	}
	{
		map textures/gdmr/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/gdmr/comp3textb.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/gdmr/protobanner
{
	qer_editorimage textures/gdmr/protobanner.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/gdmr/protobanner.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/gdmr/fogr
{
	qer_editorimage textures/gdmr/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 200
	fogparms ( .5 .12 .1 ) 300
	{
		map textures/gdmr/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/gdmr/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
	}
}

textures/gdmr/fogb
{
	qer_editorimage textures/gdmr/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 200
	fogparms ( .1 .12 .5 ) 300
	{
		map textures/gdmr/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/gdmr/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
	}
}

textures/gdmr/light_beam_vert
{
	qer_editorimage textures/gdmr/light_beam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes autosprite2
	cull none
	{
		map textures/gdmr/light_beam.tga
		blendfunc gl_src_alpha gl_one
		rgbgen const ( 1 1 1 )
		alphagen portal 1024
	}
}

textures/gdmr/corona
{
	qer_editorimage textures/gdmr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/gdmr/corona.tga
		blendfunc add
		rgbgen identity
	}
}

textures/gdmr/corona_red
{
	qer_editorimage textures/gdmr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/gdmr/corona.tga
		blendfunc add
		rgbgen const ( 1 0.15 0.15 )
	}
}

textures/gdmr/corona_blue
{
	qer_editorimage textures/gdmr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/gdmr/corona.tga
		blendfunc add
		rgbgen const ( 0.15 0.15 1 )
	}
}

textures/gdmr/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

//Models

models/mapobjects/gdmr/gratetorch2b
{
	qer_editorimage models/mapobjects/gdmr/gratetorch2b.tga
	cull disable
	{
		map models/mapobjects/gdmr/gratetorch2b.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/gdmr/flame_red1
{
	qer_editorimage models/mapobjects/gdmr/flame_red1.tga
    	surfaceparm nolightmap
    	cull disable
    	{
        		animMap 10 models/mapobjects/gdmr/flame_red1.tga models/mapobjects/gdmr/flame_red2.tga models/mapobjects/gdmr/flame_red3.tga models/mapobjects/gdmr/flame_red4.tga models/mapobjects/gdmr/flame_red5.tga models/mapobjects/gdmr/flame_red6.tga models/mapobjects/gdmr/flame_red7.tga models/mapobjects/gdmr/flame_red8.tga 
        		blendFunc GL_ONE GL_SRC_ALPHA
    	}
}

models/mapobjects/gdmr/flame_blue1
{
    	qer_editorimage models/mapobjects/gdmr/flame_blue1.tga
    	surfaceparm nolightmap
    	cull disable
    	{
        		animMap 10 models/mapobjects/gdmr/flame_blue1.tga models/mapobjects/gdmr/flame_blue2.tga models/mapobjects/gdmr/flame_blue3.tga models/mapobjects/gdmr/flame_blue4.tga models/mapobjects/gdmr/flame_blue5.tga models/mapobjects/gdmr/flame_blue6.tga models/mapobjects/gdmr/flame_blue7.tga models/mapobjects/gdmr/flame_blue8.tga 
        		blendFunc GL_ONE GL_SRC_ALPHA
    	}
}


